%define oname RsyncUI

Name: rsyncui
Summary: Client for rsync server
Version: 2.12.4
Release: %mkrel 1
License: GPLv3
Group: Networking/Remote access
Source0: %{oname}-%{version}.tar.gz
Packager: dtux@free.fr
Distribution: Mageia
Url: https://www.librepc.fr
Vendor: DTux
BuildRequires:      qmake
BuildRequires:      make
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Concurrent)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(Qt5Xml)
BuildRequires:      pkgconfig(libmagic)
BuildRequires:      cmake(KF5Completion)
BuildRequires:      cmake(KF5CoreAddons)
BuildRequires:      cmake(KF5I18n)
BuildRequires:      cmake(KF5DBusAddons)
BuildRequires:      cmake(KF5Config)
BuildRequires:      cmake(KF5ItemViews)
BuildRequires:      pstreams-devel
BuildRequires:      boost-devel
BuildRequires:	    qt5keychain-devel
#Requires:       kitemviews
#Requires:       kcompletion
#Requires:       kcoreaddons
#Requires:       kdbusaddons
Requires:       rsync
Requires:       bind-utils

%global debug_package %{nil}

%description
RsyncUI can connect to an rsync server, get the list of services,
and download files.

%prep
%setup -q  -n %{oname}

%build
%make_build

%install
INSTALL_ROOT=%{buildroot} make install

%find_lang %{oname} --with-qt

%files -f %{oname}.lang
%{_bindir}/%{oname}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/icons/%{oname}.png
%{_docdir}/%{oname}/README*
